<?php

	if( function_exists('is_shop') && is_shop() ){
		$post_id = woocommerce_get_page_id('shop');
	}else{
		$post_id = $post->ID;
	}

	$iron_soundrise_fixed_header = Iron_soundrise::getOption('enable_fixed_header', null, '0');
	$iron_soundrise_menu_type = Iron_soundrise::getOption('menu_type', null, 'push-menu');
	$iron_soundrise_menu_position = Iron_soundrise::getOption('classic_menu_position', null, 'absolute absolute_before');

	$iron_soundrise_block_footer =  Iron_soundrise::getOption('block_footer', NULL, NULL ) ;
	$iron_soundrise_block_footer_post = ( isset( $post ) )? Iron_soundrise::getField( 'block_footer', $post_id  ) : '';

	$iron_soundrise_block_footer = ( $iron_soundrise_block_footer_post !== 'null' && $iron_soundrise_block_footer_post !== '' )? $iron_soundrise_block_footer_post : $iron_soundrise_block_footer;

	if($iron_soundrise_block_footer)
		$iron_soundrise_block_footer = ( class_exists('Soundrise_Music') )? get_post( Soundrise_Music::get_current_lang_id( $iron_soundrise_block_footer, 'block') ): get_post( $iron_soundrise_block_footer );
?>
	</div>



	<!-- footer -->
	<footer id="footer">
		<?php

			if ( $iron_soundrise_block_footer ) {
				if ( function_exists( 'addShortcodesCustomCss' ) )
					addShortcodesCustomCss( $iron_soundrise_block_footer->ID );

				if ( function_exists( 'addPageCustomCss' ) )
					addPageCustomCss( $iron_soundrise_block_footer->ID );

				echo apply_filters('the_content', $iron_soundrise_block_footer->post_content );
			}

		?>

		<?php $iron_soundrise_footer_area = Iron_soundrise::getOption('footer-area_id', null, 'soundrise_sidebar_2');
		if ( is_active_sidebar( $iron_soundrise_footer_area ) ) :
			$iron_soundrise_widget_area = Iron_soundrise::getOption('widget_areas', $iron_soundrise_footer_area, array(
				'sidebar_name' => esc_html_x('Default Footer', 'Theme Options', 'soundrise'),
				'sidebar_desc' => esc_html_x('Site footer widget area.', 'Theme Options', 'soundrise'),
				'sidebar_grid' => 1,
				'order_no'     => 3
			)); ?>
			<div class="footer__widgets widget-area widget-area--<?php echo esc_attr( $iron_soundrise_footer_area ); if ( array_key_exists('sidebar_grid', $iron_soundrise_widget_area) && $iron_soundrise_widget_area['sidebar_grid'] > 1 ) echo ' grid-cols grid-cols--' . esc_attr($iron_soundrise_widget_area['sidebar_grid']); ?>">
				<?php
					do_action('before_ironband_footer_dynamic_sidebar');

					dynamic_sidebar( $iron_soundrise_footer_area );

					do_action('after_ironband_footer_dynamic_sidebar');
				?>
			</div>
		<?php endif;?>
	</footer>
 </div>
<?php

		if(($iron_soundrise_menu_type == 'push-menu' && empty($iron_soundrise_fixed_header)) || ($iron_soundrise_menu_type == 'classic-menu' && ($iron_soundrise_menu_position == 'fixed' || $iron_soundrise_menu_position == 'fixed_before'))) : ?>
		</div>
	<?php endif;

	if(($iron_soundrise_menu_type == 'push-menu' && !empty($iron_soundrise_fixed_header)) || ($iron_soundrise_menu_type == 'classic-menu' && ($iron_soundrise_menu_position != 'fixed' || $iron_soundrise_menu_position == 'fixed_before'))) : ?>
		</div>
	<?php endif;?>
	</div>
 <?php wp_footer(); ?>
</body>
</html>